Lucene search
+L

8 matches found

F5 Networks
F5 Networks
•added 2026/07/30 3:00 p.m.•18 views

K000162691: Perl IO::Compress vulnerability CVE-2026-48962

Security Advisory Description IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled output glob. parseOutputGlob wraps the caller-supplied output glob string in double quotes and stores it in the parser state; getFiles then runs the...

7.8CVSS6.3AI score0.00495EPSS
SaveExploits3
Tenable Nessus
Tenable Nessus
•added 2026/07/20 12:00 a.m.•8 views

TencentOS Server 2: perl-IO-Compress (TSSA-2026:0652)

The version of Tencent Linux installed on the remote TencentOS Server 2 host is prior to tested version. It is, therefore, affected by a vulnerability as referenced in the TSSA-2026:0652 advisory. Package updates are available for TencentOS Server 2 that fix the following vulnerabilities:...

7.8CVSS6.3AI score0.00495EPSS
SaveExploits3References2
Tenable Nessus
Tenable Nessus
•added 2026/06/30 12:00 a.m.•52 views

RHEL 10 : perl-IO-Compress (RHSA-2026:30860)

The remote Redhat Enterprise Linux 10 host has a package installed that is affected by a vulnerability as referenced in the RHSA-2026:30860 advisory. This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress...

7.8CVSS6.5AI score0.00495EPSS
SaveExploits3References4
RedHat Linux
RedHat Linux
•added 2026/06/29 6:18 p.m.•25 views

perl-IO-Compress: perl-IO-Compress: Arbitrary code execution via attacker-controlled output glob

A flaw was found in perl-IO-Compress, a component used for data compression and decompression. A remote attacker could exploit this vulnerability by crafting a malicious input, specifically an output glob, that bypasses the intended security measures. This could lead to the execution of...

7.8CVSS6.1AI score0.00495EPSS
SaveExploits3References6
OSV
OSV
•added 2026/06/29 12:00 a.m.•18 views

ALSA-2026:30859 Important: perl-IO-Compress security update

This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951, RFC 1952 i.e. gzip and zip files/buffers. The following modules used to be distributed...

7.8CVSS6.2AI score0.00495EPSS
SaveExploits3References4
OSV
OSV
•added 2026/06/29 12:00 a.m.•15 views

ALSA-2026:30860 Important: perl-IO-Compress security update

This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951, RFC 1952 i.e. gzip and zip files/buffers. The following modules used to be distributed...

7.8CVSS6.2AI score0.00495EPSS
SaveExploits3References4
RedHat Linux
RedHat Linux
•added 2026/06/24 6:54 p.m.•30 views

perl-IO-Compress: perl-IO-Compress: Arbitrary code execution via attacker-controlled output glob

A flaw was found in perl-IO-Compress, a component used for data compression and decompression. A remote attacker could exploit this vulnerability by crafting a malicious input, specifically an output glob, that bypasses the intended security measures. This could lead to the execution of...

7.8CVSS6.1AI score0.00495EPSS
SaveExploits3References6
Microsoft CVE
Microsoft CVE
•added 2026/05/31 8:04 a.m.•29 views

IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled output glob

...

7.8CVSS5.4AI score0.00495EPSS
SaveExploits3
Rows per page
Query Builder